
auto makeExampleMesh( )
{
    auto vertices = std::vector<std::array<double, 2>>
    {
        { 0     , 0      }, { 2     , 0      }, { 2     , 0.5    }, { 0     , 0.5    },
        { 0.95  , 0      }, { 0.95  , 0.2    }, { 1     , 0.15   }, { 1     , 0      },
        { 0     , 0.0312 }, { 0     , 0.0624 }, { 0     , 0.0937 }, { 0     , 0.1249 },
        { 0     , 0.1562 }, { 0     , 0.1874 }, { 0     , 0.2187 }, { 0     , 0.2499 },
        { 0     , 0.2812 }, { 0     , 0.3124 }, { 0     , 0.3437 }, { 0     , 0.3749 },
        { 0     , 0.4062 }, { 0     , 0.4374 }, { 0     , 0.4687 }, { 1.9375, 0.5    },
        { 1.8750, 0.5    }, { 1.8125, 0.5    }, { 1.7500, 0.5    }, { 1.6875, 0.5    },
        { 1.6250, 0.5    }, { 1.5625, 0.5    }, { 1.5000, 0.5    }, { 1.4375, 0.5    },
        { 1.3750, 0.5    }, { 1.3125, 0.5    }, { 1.2500, 0.5    }, { 1.1875, 0.5    },
        { 1.1250, 0.5    }, { 1.0625, 0.5    }, { 1.0000, 0.5    }, { 0.9375, 0.5    },
        { 0.8750, 0.5    }, { 0.8125, 0.5    }, { 0.7500, 0.5    }, { 0.6875, 0.5    },
        { 0.6250, 0.5    }, { 0.5625, 0.5    }, { 0.5000, 0.5    }, { 0.4375, 0.5    },
        { 0.3750, 0.5    }, { 0.3125, 0.5    }, { 0.2500, 0.5    }, { 0.1875, 0.5    },
        { 0.1250, 0.5    }, { 0.0625, 0.5    }, { 2     , 0.0312 }, { 2     , 0.0624 },
        { 2     , 0.0937 }, { 2     , 0.1249 }, { 2     , 0.1562 }, { 2     , 0.1874 },
        { 2     , 0.2187 }, { 2     , 0.2499 }, { 2     , 0.2812 }, { 2     , 0.3124 },
        { 2     , 0.3437 }, { 2     , 0.3749 }, { 2     , 0.4062 }, { 2     , 0.4374 },
        { 2     , 0.4687 }, { 0.0593, 0      }, { 0.1187, 0      }, { 0.1781, 0      },
        { 0.2374, 0      }, { 0.2968, 0      }, { 0.3562, 0      }, { 0.4156, 0      },
        { 0.4749, 0      }, { 0.5343, 0      }, { 0.5937, 0      }, { 0.6531, 0      },
        { 0.7124, 0      }, { 0.7718, 0      }, { 0.8312, 0      }, { 0.8906, 0      },
        { 1.0624, 0      }, { 1.1249, 0      }, { 1.1874, 0      }, { 1.2499, 0      },
        { 1.3124, 0      }, { 1.3749, 0      }, { 1.4374, 0      }, { 1.4999, 0      },
        { 1.5624, 0      }, { 1.6249, 0      }, { 1.6874, 0      }, { 1.7499, 0      },
        { 1.8124, 0      }, { 1.8749, 0      }, { 1.9374, 0      }, { 0.9500, 0.0086 },
        { 0.9501, 0.0172 }, { 0.9503, 0.0259 }, { 0.9505, 0.0345 }, { 0.9509, 0.0432 },
        { 0.9513, 0.0518 }, { 0.9519, 0.0604 }, { 0.9526, 0.0690 }, { 0.9534, 0.0776 },
        { 0.9544, 0.0862 }, { 0.9557, 0.0948 }, { 0.9573, 0.1033 }, { 0.9593, 0.1117 },
        { 0.9620, 0.1199 }, { 0.9659, 0.1276 }, { 0.9729, 0.1318 }, { 0.9797, 0.1268 },
        { 0.9839, 0.1192 }, { 0.9870, 0.1112 }, { 0.9894, 0.1029 }, { 0.9915, 0.0945 },
        { 0.9932, 0.0860 }, { 0.9946, 0.0775 }, { 0.9959, 0.0689 }, { 0.9969, 0.0604 },
        { 0.9978, 0.0518 }, { 0.9985, 0.0431 }, { 0.9990, 0.0345 }, { 0.9994, 0.0259 },
        { 0.9997, 0.0172 }, { 0.9999, 0.0086 }, { 0.9880, 0.1276 }, { 1.0006, 0.1018 },
        { 0.9567, 0.1268 }, { 0.9467, 0.1023 }, { 1.0049, 0.0729 }, { 0.0261, 0.2364 },
        { 0.9434, 0.0741 }, { 0.7404, 0.0507 }, { 1.9738, 0.2656 }, { 0.0255, 0.3259 },
        { 1.9729, 0.1718 }, { 1.1581, 0.4517 }, { 0.2636, 0.0493 }, { 0.8420, 0.4435 },
        { 0.5875, 0.4465 }, { 0.4384, 0.0519 }, { 1.5312, 0.4458 }, { 1.3399, 0.4470 },
        { 1.7248, 0.4492 }, { 0.3437, 0.4458 }, { 1.2243, 0.0477 }, { 1.4719, 0.0544 },
        { 1.6596, 0.0518 }, { 0.0267, 0.1421 }, { 1.9722, 0.3593 }, { 0.9687, 0.4458 },
        { 0.7190, 0.4491 }, { 0.6240, 0.0482 }, { 0.4674, 0.4441 }, { 0.2205, 0.4472 },
        { 1.7829, 0.0528 }, { 1.3444, 0.0503 }, { 0.0270, 0.3906 }, { 1.9720, 0.1093 },
        { 1.8440, 0.4478 }, { 0.1479, 0.0511 }, { 1.0048, 0.0568 }, { 1.0189, 0.0688 },
        { 0.9423, 0.0553 }, { 0.9320, 0.0664 }, { 1.0062, 0.0393 }, { 0.9429, 0.0408 },
        { 0.9427, 0.0217 }, { 0.0308, 0.0792 }, { 1.9719, 0.4218 }, { 1.1022, 0.0467 },
        { 0.9330, 0.0835 }, { 0.9153, 0.0742 }, { 0.9148, 0.0930 }, { 0.8951, 0.0830 },
        { 0.8963, 0.1036 }, { 0.8677, 0.0936 }, { 0.8767, 0.1218 }, { 0.8998, 0.1382 },
        { 0.8747, 0.1532 }, { 0.9057, 0.1671 }, { 0.8748, 0.1849 }, { 0.9036, 0.1988 },
        { 0.8754, 0.2197 }, { 0.8428, 0.2028 }, { 0.9071, 0.2339 }, { 0.9390, 0.2129 },
        { 0.9387, 0.2467 }, { 0.9669, 0.2296 }, { 0.9681, 0.2599 }, { 0.9942, 0.2416 },
        { 0.9992, 0.2755 }, { 1.0285, 0.2474 }, { 0.8441, 0.2421 }, { 0.8062, 0.2195 },
        { 0.9424, 0.2814 }, { 1.0342, 0.2917 }, { 1.0675, 0.2664 }, { 1.0631, 0.2231 },
        { 1.1021, 0.2407 }, { 0.8090, 0.2654 }, { 0.7675, 0.2414 }, { 0.9889, 0.2108 },
        { 0.8109, 0.1765 }, { 1.0956, 0.1913 }, { 1.1396, 0.2121 }, { 1.1467, 0.2611 },
        { 1.1878, 0.2297 }, { 1.1938, 0.2835 }, { 1.2377, 0.2508 }, { 1.0008, 0.3150 },
        { 1.0377, 0.3346 }, { 0.7705, 0.2907 }, { 0.7281, 0.2695 }, { 0.7261, 0.2200 },
        { 0.6825, 0.2462 }, { 0.6847, 0.2984 }, { 0.6371, 0.2741 }, { 0.6357, 0.2198 },
        { 0.5880, 0.2482 }, { 0.8415, 0.1140 }, { 1.0516, 0.1816 }, { 1.1325, 0.1624 },
        { 0.5869, 0.1919 }, { 0.5378, 0.2212 }, { 0.5377, 0.2773 }, { 0.4884, 0.2495 },
        { 1.2457, 0.3038 }, { 1.2903, 0.2719 }, { 1.2821, 0.2155 }, { 1.3360, 0.2367 },
        { 0.8465, 0.2821 }, { 1.3441, 0.2951 }, { 1.3915, 0.2590 }, { 1.3993, 0.3187 },
        { 1.4476, 0.2817 }, { 1.4394, 0.2213 }, { 1.4963, 0.2442 }, { 0.9153, 0.0537 },
        { 0.4867, 0.1929 }, { 0.4367, 0.2234 }, { 0.4353, 0.2861 }, { 0.3849, 0.2524 },
        { 0.3850, 0.1959 }, { 0.3361, 0.2266 }, { 0.3353, 0.2795 }, { 0.2876, 0.2535 },
        { 0.2867, 0.2022 }, { 0.2417, 0.2311 }, { 0.2399, 0.2779 }, { 0.1980, 0.2564 },
        { 0.1970, 0.2084 }, { 0.1560, 0.2329 }, { 0.1573, 0.2796 }, { 0.1540, 0.1853 },
        { 1.1520, 0.3111 }, { 0.1953, 0.1603 }, { 1.5058, 0.3023 }, { 1.5537, 0.2669 },
        { 1.5451, 0.2062 }, { 1.6026, 0.2302 }, { 1.6106, 0.2908 }, { 1.6591, 0.2543 },
        { 0.1177, 0.2575 }, { 0.1191, 0.3027 }, { 0.1579, 0.3247 }, { 0.1185, 0.3476 },
        { 1.6668, 0.3138 }, { 1.7133, 0.2765 }, { 1.7100, 0.2125 }, { 1.7599, 0.2426 },
        { 1.7664, 0.2956 }, { 1.8080, 0.2609 }, { 1.8020, 0.2126 }, { 1.8471, 0.2307 },
        { 1.8409, 0.1831 }, { 1.8539, 0.2774 }, { 1.8837, 0.2007 }, { 1.8781, 0.1555 },
        { 0.6396, 0.3288 }, { 1.7922, 0.1568 }, { 1.6189, 0.3514 }, { 0.9227, 0.1462 },
        { 1.5945, 0.1691 }, { 0.6388, 0.1643 }, { 1.0158, 0.0840 }, { 1.0346, 0.0759 },
        { 1.0336, 0.0962 }, { 1.0336, 0.0564 }, { 0.9815, 0.1350 }, { 0.9735, 0.1407 },
        { 0.9917, 0.1385 }, { 1.0003, 0.1286 }, { 1.0048, 0.1423 }, { 0.9934, 0.1529 },
        { 1.3277, 0.1785 }, { 1.0157, 0.1304 }, { 1.0097, 0.1589 }, { 0.0830, 0.2815 },
        { 1.2723, 0.1565 }, { 0.0937, 0.4458 }, { 1.8963, 0.0470 }, { 0.1576, 0.3695 },
        { 1.0011, 0.3590 }, { 1.0419, 0.3810 }, { 1.5368, 0.1450 }, { 0.1521, 0.1392 },
        { 0.1128, 0.1631 }, { 0.1099, 0.1207 }, { 0.1963, 0.3459 }, { 0.5908, 0.1349 },
        { 0.1909, 0.1158 }, { 0.2366, 0.1335 }, { 0.9611, 0.3370 }, { 1.0555, 0.0871 },
        { 1.0518, 0.1166 }, { 1.0818, 0.1022 }, { 1.0798, 0.1334 }, { 0.6863, 0.3490 },
        { 0.8686, 0.0671 }, { 1.0794, 0.3548 }, { 1.0861, 0.4027 }, { 0.0240, 0.4609 },
        { 1.9759, 0.0390 }, { 0.0838, 0.2399 }, { 0.9945, 0.1707 }, { 1.0178, 0.1784 },
        { 0.9781, 0.1627 }, { 1.3526, 0.3526 }, { 1.4069, 0.3792 }, { 1.5864, 0.1086 },
        { 0.9201, 0.1267 }, { 0.9622, 0.1364 }, { 0.9502, 0.1353 }, { 0.9543, 0.1489 },
        { 0.9459, 0.1242 }, { 1.6416, 0.1400 }, { 1.9156, 0.1738 }, { 1.9186, 0.2120 },
        { 1.9138, 0.1290 }, { 1.8700, 0.1153 }, { 1.6682, 0.3777 }, { 1.6254, 0.4091 },
        { 1.1164, 0.1206 }, { 1.1609, 0.1270 }, { 1.1477, 0.0859 }, { 1.1276, 0.3743 },
        { 0.6443, 0.3818 }, { 0.5911, 0.3594 }, { 1.0513, 0.4330 }, { 0.9316, 0.1845 },
        { 0.9543, 0.1919 }, { 0.9626, 0.3836 }, { 0.9213, 0.3620 }, { 0.9235, 0.4086 },
        { 0.8769, 0.3955 }, { 0.8806, 0.3409 }, { 0.8350, 0.3602 }, { 1.0065, 0.1150 },
        { 0.0763, 0.1433 }, { 0.0747, 0.1876 }, { 0.0683, 0.1019 }, { 0.1116, 0.2082 },
        { 0.0976, 0.0394 }, { 1.8933, 0.2465 }, { 1.8965, 0.2940 }, { 1.8613, 0.3225 },
        { 1.9032, 0.3367 }, { 1.8653, 0.3680 }, { 1.8250, 0.3514 }, { 1.9115, 0.3838 },
        { 1.9385, 0.3070 }, { 1.9257, 0.2701 }, { 0.1523, 0.4481 }, { 1.8421, 0.0458 },
        { 1.8193, 0.0992 }, { 1.7592, 0.1070 }, { 1.7349, 0.1587 }, { 0.1162, 0.3993 },
        { 0.0799, 0.3663 }, { 1.1771, 0.1766 }, { 1.2151, 0.1413 }, { 0.7791, 0.4482 },
        { 0.7489, 0.4001 }, { 1.3195, 0.1089 }, { 1.3752, 0.1415 }, { 0.9330, 0.0988 },
        { 1.7235, 0.0553 }, { 1.5634, 0.3894 }, { 0.9932, 0.1187 }, { 0.2066, 0.0443 },
        { 1.7212, 0.3439 }, { 0.0841, 0.3235 }, { 0.3350, 0.1710 }, { 0.3833, 0.1388 },
        { 0.3322, 0.1121 }, { 0.3834, 0.0834 }, { 0.6506, 0.4406 }, { 1.9056, 0.4440 },
        { 1.7828, 0.4490 }, { 1.7527, 0.3942 }, { 1.2176, 0.4477 }, { 1.1819, 0.3964 },
        { 1.2395, 0.3943 }, { 1.2774, 0.4452 }, { 1.6494, 0.1948 }, { 0.6829, 0.0495 },
        { 0.7118, 0.0979 }, { 0.7623, 0.0998 }, { 0.7382, 0.1411 }, { 0.7938, 0.0556 },
        { 0.2820, 0.4466 }, { 0.3123, 0.3942 }, { 0.3723, 0.3924 }, { 0.2551, 0.3980 },
        { 0.2762, 0.3530 }, { 1.5332, 0.0857 }, { 1.4798, 0.1212 }, { 1.4229, 0.1026 },
        { 0.3400, 0.3427 }, { 0.4039, 0.3411 }, { 0.4348, 0.3911 }, { 0.4051, 0.4456 },
        { 0.4946, 0.3898 }, { 0.5276, 0.4435 }, { 0.3295, 0.0543 }, { 0.6469, 0.1039 },
        { 0.9361, 0.1325 }, { 1.2502, 0.0987 }, { 0.4642, 0.3406 }, { 0.9545, 0.1672 },
        { 0.5641, 0.0483 }, { 0.5291, 0.3369 }, { 0.4348, 0.1656 }, { 0.4831, 0.1367 },
        { 0.5035, 0.0484 }, { 1.4062, 0.4391 }, { 1.4686, 0.4459 }, { 1.4988, 0.3944 },
        { 1.4882, 0.1833 }, { 1.4614, 0.3465 }, { 0.9185, 0.3179 }, { 1.0322, 0.2068 },
        { 1.0519, 0.1479 }, { 1.5621, 0.3250 }, { 1.6906, 0.1092 }, { 0.5353, 0.1012 },
        { 1.2989, 0.3274 }, { 0.5366, 0.1632 }, { 1.2045, 0.3418 }, { 0.4318, 0.1087 },
        { 0.6882, 0.1457 }, { 1.3836, 0.1998 }, { 0.5871, 0.3041 }, { 0.1956, 0.3969 },
        { 0.0536, 0.2569 }, { 0.0495, 0.2992 }, { 1.3041, 0.3884 }, { 1.2287, 0.1951 },
        { 0.8127, 0.3106 }, { 0.7758, 0.3484 }, { 1.4315, 0.1616 }, { 0.0341, 0.1980 },
        { 0.0242, 0.1704 }, { 1.9735, 0.2343 }, { 1.9729, 0.2968 }, { 1.9709, 0.3272 },
        { 1.8157, 0.3976 }, { 0.2407, 0.1810 }, { 0.0249, 0.0392 }, { 0.6827, 0.1953 },
        { 1.9729, 0.1406 }, { 1.9741, 0.2031 }, { 0.0277, 0.1098 }, { 1.0726, 0.3100 },
        { 0.7312, 0.3178 }, { 0.8014, 0.4000 }, { 0.7840, 0.1419 }, { 0.7650, 0.1887 },
        { 0.8230, 0.1417 }, { 0.9768, 0.1859 }, { 0.8054, 0.1089 }, { 0.0262, 0.3590 },
        { 1.9729, 0.0781 }, { 1.9416, 0.0967 }, { 0.0270, 0.4218 }, { 0.0641, 0.4052 },
        { 0.2868, 0.1508 }, { 1.0256, 0.1153 }, { 1.5905, 0.0519 }, { 1.9717, 0.3906 },
        { 1.9758, 0.4609 }, { 1.0059, 0.4101 }, { 0.8783, 0.2587 }, { 0.1970, 0.3012 },
        { 1.8144, 0.3091 }, { 1.1044, 0.4520 }, { 0.9507, 0.1094 }, { 0.0573, 0.2199 },
        { 1.8774, 0.4114 }, { 0.2802, 0.0983 }, { 0.9953, 0.1097 }, { 1.0145, 0.1004 },
        { 1.0027, 0.0916 }, { 1.9422, 0.3437 }, { 0.9121, 0.2724 }, { 0.8806, 0.2986 },
        { 0.9449, 0.0914 }, { 1.9408, 0.4069 }, { 0.8944, 0.4526 }, { 0.1473, 0.0977 },
        { 1.7772, 0.3476 }, { 1.1078, 0.2839 }, { 1.0306, 0.1579 }, { 0.8462, 0.1663 },
        { 1.5867, 0.4499 }, { 1.2812, 0.0453 }, { 0.9535, 0.1181 }, { 0.9377, 0.1134 },
        { 1.8394, 0.1409 }, { 0.6966, 0.3967 }, { 0.5532, 0.3946 }, { 0.8459, 0.0412 },
        { 1.4051, 0.0471 }, { 0.0610, 0.0605 }, { 1.6630, 0.4460 }, { 0.9713, 0.2910 },
        { 0.8371, 0.0801 }, { 1.1956, 0.0919 }, { 0.0545, 0.3437 }, { 0.0252, 0.2701 },
        { 0.2282, 0.0872 }, { 0.9401, 0.1495 }, { 1.1357, 0.0419 }, { 1.0766, 0.1616 },
        { 1.9464, 0.1881 }, { 0.9458, 0.0826 }, { 0.0200, 0.2978 }, { 0.2377, 0.3231 },
        { 1.9482, 0.1260 }, { 0.9301, 0.0463 }, { 0.9214, 0.0276 }, { 0.8900, 0.0416 },
        { 1.1104, 0.0800 }, { 1.9463, 0.1562 }, { 1.9477, 0.3769 }, { 1.6853, 0.1630 },
        { 1.7597, 0.1973 }, { 0.2831, 0.2999 }, { 0.0545, 0.4374 }, { 1.9402, 0.0601 },
        { 1.0187, 0.1447 }, { 1.1152, 0.3297 }, { 0.9444, 0.0650 }, { 0.4932, 0.2993 },
        { 1.0640, 0.0359 }, { 1.0265, 0.0171 }, { 1.0071, 0.0218 }, { 0.5922, 0.0873 },
        { 0.9810, 0.1471 }, { 1.0327, 0.1348 }, { 1.9054, 0.0903 }, { 0.7223, 0.1804 },
        { 0.4751, 0.0882 }, { 0.1029, 0.0835 }, { 1.4506, 0.4002 }, { 1.0536, 0.0649 },
        { 1.0080, 0.2193 }, { 1.0023, 0.0824 }, { 1.3619, 0.4013 }, { 1.9454, 0.4374 },
        { 1.3731, 0.0909 }, { 1.1782, 0.0535 }, { 0.3854, 0.0362 }, { 0.9674, 0.1517 },
        { 0.0510, 0.1277 }, { 0.8396, 0.4005 }, { 1.2585, 0.3512 }, { 0.9179, 0.1091 },
        { 1.0237, 0.0379 }, { 0.3795, 0.2991 }, { 0.8985, 0.0636 }, { 0.1546, 0.4061 },
        { 1.0030, 0.1953 }, { 1.1316, 0.4154 }, { 0.8511, 0.3185 }, { 1.9501, 0.2520 },
        { 1.5312, 0.0358 }, { 0.7306, 0.3595 }, { 1.5196, 0.3500 }, { 0.0513, 0.1634 },
        { 1.1625, 0.3537 }, { 0.9476, 0.3098 }, { 0.9316, 0.1636 }, { 1.0127, 0.4580 },
        { 1.0779, 0.0695 }, { 1.8710, 0.0754 }, { 0.8524, 0.1394 }, { 0.6053, 0.4046 },
        { 0.0503, 0.3729 }, { 1.1021, 0.1539 }, { 0.1842, 0.0792 }, { 1.6295, 0.0900 },
        { 1.9489, 0.2210 }, { 1.7094, 0.4026 }, { 0.0839, 0.2130 }, { 1.9522, 0.2804 },
        { 0.2338, 0.3607 }, { 0.9334, 0.0332 }, { 0.9681, 0.2072 }, { 1.9238, 0.2418 },
        { 0.9022, 0.1199 }
    };

    auto connectivity = std::vector<size_t>
    {
        4, 172, 546, 199, 206, 483, 133, 391, 512, 102, 171, 172, 365, 467, 595, 467, 365,
        503, 104, 168, 171, 527, 83, 547, 383, 305, 491, 459, 378, 587, 161, 389, 521, 167,
        166, 293, 289, 315, 431, 166, 124, 170, 360, 143, 581, 465, 362, 481, 331, 447, 588,
        173, 366, 478, 379, 306, 601, 391, 176, 512, 324, 181, 532, 359, 155, 514, 384, 383,
        491, 226, 331, 518, 181, 225, 532, 389, 433, 521, 472, 373, 504, 340, 432, 523, 143,
        360, 514, 134, 122, 166, 378, 305, 383, 159, 378, 459, 155, 39, 514, 467, 468, 595,
        257, 268, 367, 378, 383, 587, 403, 375, 513, 170, 562, 584, 464, 362, 465, 572, 207,
        588, 474, 69, 529, 380, 285, 381, 53, 327, 554, 353, 437, 458, 98, 328, 555, 287,
        183, 336, 268, 329, 367, 119, 120, 508, 331, 226, 447, 152, 392, 450, 431, 315, 563,
        435, 332, 485, 133, 502, 523, 37, 354, 501, 208, 199, 483, 408, 407, 454, 345, 380,
        601, 293, 166, 584, 381, 285, 382, 386, 304, 463, 206, 219, 483, 152, 450, 607, 200,
        446, 510, 374, 373, 472, 374, 472, 516, 131, 363, 506, 388, 465, 481, 282, 343, 369,
        287, 336, 432, 250, 424, 553, 433, 386, 533, 447, 572, 588, 185, 183, 287, 447, 197,
        572, 512, 176, 541, 28, 520, 530, 502, 522, 523, 97, 306, 379, 450, 341, 607, 437,
        230, 458, 391, 133, 523, 185, 287, 598, 332, 435, 579, 496, 23, 575, 191, 187, 355,
        366, 173, 529, 360, 359, 514, 355, 185, 598, 472, 405, 516, 150, 433, 533, 357, 155,
        359, 430, 400, 505, 142, 430, 505, 424, 420, 553, 408, 454, 582, 259, 257, 367, 432,
        336, 523, 159, 51, 378, 187, 185, 355, 435, 339, 579, 337, 295, 579, 385, 386, 463,
        380, 379, 601, 69, 368, 529, 369, 343, 615, 209, 203, 226, 24, 164, 403, 339, 435,
        537, 305, 53, 554, 520, 347, 530, 425, 246, 434, 113, 114, 337, 306, 98, 555, 81,
        82, 415, 530, 346, 609, 415, 82, 527, 347, 346, 530, 375, 403, 504, 191, 355, 356,
        143, 387, 481, 460, 135, 503, 354, 37, 599, 393, 146, 443, 143, 41, 387, 279, 282,
        369, 82, 83, 527, 84, 85, 560, 203, 197, 447, 191, 356, 614, 510, 446, 511, 165, 71,
        395, 152, 94, 392, 303, 269, 397, 351, 407, 589, 401, 145, 455, 155, 357, 497, 416,
        159, 419, 535, 461, 542, 324, 527, 547, 212, 210, 385, 193, 191, 614, 164, 472, 504,
        45, 46, 429, 23, 403, 575, 375, 372, 509, 114, 295, 337, 522, 340, 523, 289, 431,
        456, 271, 384, 397, 139, 461, 534, 52, 305, 378, 142, 73, 430, 35, 141, 406, 363,
        297, 394, 70, 165, 368, 367, 329, 610, 313, 312, 364, 412, 137, 413, 158, 426, 428,
        52, 53, 305, 226, 203, 447, 363, 394, 506, 335, 421, 494, 97, 98, 306, 192, 191,
        193, 144, 429, 526, 282, 342, 343, 437, 353, 526, 151, 421, 422, 404, 148, 405, 144,
        45, 429, 276, 500, 516, 364, 312, 365, 145, 401, 578, 147, 409, 462, 406, 141, 407,
        281, 279, 369, 147, 33, 409, 372, 370, 376, 304, 386, 433, 160, 379, 380, 151, 422,
        423, 288, 341, 410, 460, 461, 535, 94, 95, 392, 396, 405, 609, 352, 402, 603, 160,
        96, 379, 279, 280, 282, 303, 397, 461, 500, 374, 516, 376, 370, 377, 282, 283, 342,
        50, 159, 416, 269, 271, 397, 478, 366, 580, 413, 415, 486, 257, 258, 268, 23, 24,
        403, 354, 326, 501, 268, 269, 303, 313, 364, 366, 375, 509, 550, 356, 435, 485, 370,
        369, 377, 329, 460, 503, 70, 71, 165, 175, 85, 538, 38, 39, 155, 24, 25, 164, 277,
        279, 281, 276, 275, 277, 190, 187, 191, 40, 41, 143, 35, 36, 141, 461, 397, 534,
        281, 369, 370, 387, 156, 388, 312, 259, 367, 277, 278, 279, 412, 413, 414, 268, 303,
        329, 42, 156, 387, 423, 422, 466, 26, 148, 404, 273, 274, 275, 311, 259, 312, 273,
        276, 396, 407, 141, 589, 426, 158, 427, 73, 74, 430, 215, 318, 531, 131, 119, 508,
        69, 70, 368, 257, 255, 258, 210, 227, 385, 274, 382, 552, 390, 423, 466, 256, 255,
        257, 402, 144, 603, 271, 383, 384, 164, 25, 404, 356, 355, 435, 494, 421, 592, 417,
        416, 419, 157, 79, 411, 137, 81, 415, 380, 345, 524, 268, 258, 269, 33, 34, 409,
        246, 425, 585, 46, 158, 429, 72, 142, 395, 47, 48, 427, 252, 251, 253, 451, 315,
        453, 272, 267, 273, 311, 312, 313, 96, 97, 379, 249, 250, 251, 253, 254, 255, 265,
        288, 410, 182, 180, 616, 144, 526, 603, 50, 51, 159, 80, 81, 137, 157, 411, 431,
        426, 425, 434, 417, 419, 420, 95, 96, 160, 273, 275, 276, 419, 159, 459, 413, 137,
        415, 285, 380, 524, 404, 405, 472, 277, 275, 278, 382, 274, 551, 183, 182, 616, 555,
        489, 566, 80, 137, 411, 44, 144, 402, 158, 47, 427, 249, 252, 398, 411, 137, 412,
        252, 473, 492, 273, 267, 274, 368, 165, 569, 363, 131, 507, 405, 396, 516, 282, 280,
        283, 41, 42, 387, 51, 52, 378, 71, 72, 395, 42, 43, 156, 279, 278, 280, 195, 193,
        207, 248, 247, 249, 253, 255, 256, 149, 416, 417, 48, 149, 427, 249, 251, 252, 272,
        273, 396, 411, 412, 431, 256, 257, 259, 342, 283, 344, 212, 385, 463, 34, 35, 406,
        253, 251, 254, 486, 415, 532, 392, 381, 450, 95, 160, 392, 428, 426, 434, 149, 49,
        416, 318, 358, 446, 156, 43, 402, 403, 164, 504, 358, 360, 361, 49, 50, 416, 249,
        247, 250, 320, 448, 565, 146, 393, 520, 248, 249, 398, 439, 451, 453, 266, 265, 267,
        72, 73, 142, 531, 318, 597, 190, 191, 192, 207, 193, 614, 407, 351, 596, 158, 428,
        429, 320, 322, 448, 393, 443, 594, 527, 324, 532, 34, 406, 409, 143, 481, 581, 562,
        561, 584, 149, 417, 418, 373, 372, 375, 78, 157, 436, 376, 470, 471, 160, 380, 381,
        266, 267, 272, 418, 417, 424, 25, 26, 404, 79, 80, 411, 362, 464, 590, 560, 293,
        584, 165, 395, 606, 267, 265, 410, 381, 382, 450, 245, 247, 248, 178, 176, 391, 245,
        248, 438, 418, 424, 425, 44, 45, 144, 371, 370, 372, 329, 303, 460, 86, 87, 150,
        227, 348, 349, 78, 79, 157, 473, 317, 492, 46, 47, 158, 365, 312, 367, 538, 86, 577,
        288, 335, 341, 48, 49, 149, 491, 305, 554, 263, 264, 265, 146, 442, 443, 192, 193,
        194, 304, 234, 463, 388, 525, 593, 77, 78, 436, 422, 310, 444, 88, 89, 161, 428,
        434, 437, 263, 265, 266, 248, 399, 438, 31, 32, 441, 32, 147, 441, 43, 44, 402, 245,
        246, 247, 265, 264, 288, 146, 30, 442, 417, 420, 424, 276, 277, 500, 77, 436, 440,
        31, 441, 442, 346, 396, 609, 421, 310, 422, 145, 76, 440, 184, 183, 185, 346, 272,
        396, 30, 31, 442, 400, 398, 492, 452, 333, 462, 93, 94, 152, 26, 27, 148, 90, 91,
        151, 29, 30, 146, 32, 33, 147, 244, 245, 438, 76, 77, 440, 358, 361, 446, 223, 289,
        475, 149, 418, 427, 399, 398, 400, 439, 438, 455, 388, 156, 525, 264, 242, 444, 406,
        407, 408, 188, 190, 498, 242, 241, 444, 339, 337, 579, 75, 76, 145, 400, 492, 505,
        263, 242, 264, 85, 86, 538, 115, 130, 294, 310, 264, 444, 202, 197, 203, 286, 272,
        346, 440, 436, 451, 244, 231, 245, 288, 310, 335, 335, 310, 421, 165, 515, 569, 244,
        438, 439, 252, 253, 473, 240, 242, 262, 288, 264, 310, 431, 412, 456, 262, 242, 263,
        286, 347, 393, 223, 228, 289, 401, 400, 430, 245, 231, 246, 266, 272, 286, 240, 241,
        242, 389, 161, 576, 229, 231, 244, 286, 393, 449, 262, 263, 449, 422, 444, 466, 334,
        239, 445, 286, 346, 347, 237, 239, 333, 211, 213, 260, 240, 238, 241, 239, 240, 445,
        241, 457, 466, 225, 484, 486, 465, 388, 593, 240, 262, 445, 493, 363, 507, 266, 286,
        449, 269, 270, 271, 389, 304, 433, 333, 239, 334, 263, 266, 449, 261, 259, 311, 399,
        400, 401, 300, 234, 304, 228, 229, 453, 248, 398, 399, 239, 238, 240, 361, 360, 362,
        209, 226, 539, 414, 413, 482, 418, 425, 426, 244, 439, 453, 215, 308, 318, 229, 230,
        231, 315, 228, 453, 457, 390, 466, 229, 244, 453, 229, 224, 230, 441, 334, 570, 274,
        267, 410, 300, 389, 390, 164, 404, 472, 289, 228, 315, 237, 238, 239, 255, 254, 499,
        300, 304, 389, 39, 40, 514, 36, 37, 501, 235, 234, 300, 237, 333, 452, 438, 399,
        455, 349, 348, 350, 433, 150, 521, 233, 235, 237, 153, 580, 595, 418, 426, 427, 284,
        221, 323, 233, 214, 234, 233, 234, 235, 228, 224, 229, 281, 370, 371, 351, 557, 596,
        237, 235, 238, 220, 222, 223, 205, 198, 236, 241, 238, 457, 315, 451, 563, 366, 529,
        569, 412, 414, 456, 348, 227, 605, 37, 38, 599, 444, 241, 466, 232, 233, 452, 399,
        401, 455, 289, 456, 475, 260, 213, 454, 406, 408, 409, 295, 564, 579, 210, 209, 227,
        223, 224, 228, 323, 221, 480, 93, 152, 494, 493, 320, 565, 256, 259, 261, 233, 237,
        452, 396, 276, 516, 409, 408, 462, 235, 300, 457, 443, 445, 594, 284, 323, 352, 269,
        258, 270, 300, 390, 457, 284, 352, 353, 342, 344, 549, 147, 462, 574, 421, 151, 592,
        318, 357, 358, 238, 235, 457, 561, 560, 584, 452, 462, 582, 275, 274, 552, 160, 381,
        392, 150, 87, 521, 232, 214, 233, 157, 431, 563, 460, 303, 461, 391, 523, 583, 171,
        168, 545, 223, 222, 224, 186, 185, 187, 387, 388, 481, 222, 221, 284, 151, 423, 528,
        204, 203, 209, 358, 359, 360, 88, 161, 521, 398, 252, 492, 211, 260, 517, 134, 166,
        167, 213, 214, 232, 261, 311, 316, 280, 278, 285, 220, 221, 222, 198, 188, 498, 326,
        325, 351, 224, 222, 458, 251, 250, 553, 222, 284, 458, 230, 224, 458, 213, 232, 454,
        371, 372, 373, 271, 307, 383, 234, 214, 463, 205, 236, 464, 28, 29, 520, 393, 347,
        520, 220, 218, 221, 482, 208, 483, 334, 441, 574, 318, 308, 357, 206, 218, 219, 211,
        212, 213, 523, 336, 583, 161, 89, 528, 220, 223, 475, 141, 36, 501, 14, 13, 467,
        213, 212, 214, 60, 61, 469, 188, 187, 190, 261, 316, 317, 284, 353, 458, 403, 513,
        575, 15, 14, 135, 90, 151, 528, 27, 28, 530, 299, 330, 332, 557, 260, 596, 271, 270,
        307, 194, 193, 195, 219, 218, 220, 214, 212, 463, 61, 62, 138, 196, 201, 215, 62,
        63, 470, 518, 556, 565, 253, 256, 473, 448, 226, 518, 40, 143, 514, 537, 435, 598,
        318, 446, 597, 402, 352, 525, 13, 12, 468, 176, 136, 541, 211, 210, 212, 59, 60,
        477, 462, 408, 582, 208, 482, 484, 372, 376, 509, 410, 341, 551, 206, 217, 218, 10,
        9, 173, 299, 332, 564, 206, 205, 217, 309, 326, 354, 451, 436, 563, 189, 199, 208,
        219, 220, 475, 424, 250, 585, 309, 325, 326, 277, 281, 500, 294, 130, 296, 11, 10,
        478, 442, 441, 570, 202, 203, 204, 309, 216, 325, 92, 93, 494, 258, 255, 499, 428,
        437, 526, 18, 17, 139, 215, 216, 308, 58, 59, 140, 430, 74, 578, 12, 11, 153, 116,
        117, 394, 382, 285, 552, 247, 246, 585, 344, 283, 345, 358, 357, 359, 204, 210, 211,
        217, 205, 464, 376, 471, 509, 75, 145, 578, 199, 205, 206, 395, 142, 536, 451, 439,
        568, 292, 320, 493, 397, 384, 534, 301, 297, 363, 445, 443, 570, 151, 91, 592, 215,
        201, 216, 440, 451, 568, 306, 555, 566, 420, 543, 553, 236, 198, 498, 307, 270, 314,
        256, 261, 473, 281, 371, 500, 182, 183, 184, 445, 262, 594, 307, 314, 459, 63, 64,
        471, 274, 410, 551, 454, 407, 596, 19, 18, 487, 57, 58, 476, 343, 342, 540, 292,
        493, 507, 308, 216, 309, 385, 349, 386, 227, 349, 385, 371, 373, 374, 316, 311, 515,
        270, 258, 499, 199, 198, 205, 207, 485, 588, 525, 323, 593, 217, 464, 465, 169, 136,
        176, 449, 393, 594, 261, 317, 473, 204, 209, 210, 184, 185, 186, 134, 290, 573, 366,
        364, 580, 401, 430, 578, 221, 218, 480, 177, 176, 178, 186, 187, 188, 364, 365, 595,
        425, 424, 585, 485, 207, 614, 571, 560, 600, 20, 19, 162, 135, 460, 535, 56, 57,
        163, 201, 197, 202, 373, 375, 504, 156, 402, 525, 376, 377, 611, 21, 20, 490, 434,
        246, 559, 55, 56, 488, 446, 361, 511, 280, 285, 524, 192, 194, 200, 218, 217, 480,
        22, 21, 327, 54, 55, 328, 175, 538, 548, 216, 201, 479, 446, 200, 597, 196, 197,
        201, 351, 325, 557, 64, 65, 154, 112, 113, 132, 311, 313, 515, 135, 14, 467, 65, 66,
        495, 161, 528, 576, 189, 208, 519, 441, 147, 574, 217, 465, 480, 66, 67, 174, 61,
        138, 469, 189, 198, 199, 371, 374, 500, 189, 188, 198, 325, 216, 479, 186, 188, 189,
        467, 13, 468, 246, 231, 559, 454, 232, 582, 29, 146, 520, 155, 497, 599, 314, 270,
        499, 138, 62, 470, 87, 88, 521, 60, 469, 477, 38, 155, 599, 283, 280, 524, 456, 414,
        567, 432, 338, 537, 115, 116, 130, 414, 482, 483, 492, 317, 505, 201, 202, 479, 429,
        428, 526, 420, 419, 612, 462, 333, 574, 350, 348, 548, 377, 369, 615, 357, 308, 497,
        227, 209, 605, 92, 494, 592, 209, 539, 605, 290, 292, 507, 484, 225, 602, 10, 173,
        478, 564, 332, 579, 390, 389, 576, 172, 171, 613, 148, 530, 609, 12, 153, 468, 461,
        139, 542, 236, 511, 590, 140, 59, 477, 468, 153, 595, 208, 484, 519, 135, 467, 503,
        484, 482, 486, 309, 354, 497, 344, 489, 544, 511, 361, 590, 153, 11, 478, 110, 111,
        502, 470, 63, 471, 111, 112, 522, 89, 90, 528, 543, 254, 553, 114, 115, 294, 148,
        27, 530, 352, 323, 525, 9, 8, 474, 336, 183, 616, 308, 309, 497, 194, 195, 196, 482,
        413, 486, 334, 445, 570, 344, 544, 549, 345, 283, 524, 196, 195, 197, 15, 135, 535,
        498, 190, 510, 132, 338, 340, 338, 339, 537, 332, 330, 485, 132, 340, 522, 580, 364,
        595, 341, 450, 551, 180, 178, 583, 190, 192, 510, 18, 139, 487, 204, 211, 517, 560,
        175, 600, 285, 278, 552, 58, 140, 476, 475, 456, 567, 181, 180, 182, 230, 437, 559,
        423, 390, 576, 16, 15, 535, 196, 215, 531, 134, 167, 290, 320, 321, 322, 179, 178,
        180, 543, 420, 612, 508, 120, 573, 236, 498, 511, 517, 260, 557, 361, 362, 590, 498,
        510, 511, 181, 182, 225, 536, 316, 606, 507, 131, 508, 86, 150, 577, 225, 486, 532,
        483, 219, 567, 290, 291, 292, 112, 132, 522, 479, 202, 517, 202, 204, 517, 139, 17,
        542, 529, 368, 569, 67, 68, 496, 299, 302, 330, 296, 298, 299, 439, 455, 568, 470,
        376, 611, 292, 319, 320, 231, 230, 559, 287, 432, 537, 17, 16, 542, 226, 448, 539,
        489, 344, 566, 436, 157, 563, 192, 200, 510, 162, 19, 487, 163, 57, 476, 184, 186,
        519, 515, 313, 569, 497, 354, 599, 307, 459, 587, 64, 154, 471, 177, 178, 179, 437,
        434, 559, 322, 321, 348, 365, 367, 610, 499, 254, 543, 278, 275, 552, 490, 162, 491,
        395, 536, 606, 448, 518, 565, 488, 163, 489, 450, 382, 551, 254, 251, 553, 20, 162,
        490, 108, 109, 512, 145, 440, 568, 56, 163, 488, 301, 363, 493, 169, 176, 177, 495,
        174, 513, 317, 316, 536, 443, 442, 570, 179, 180, 181, 327, 21, 490, 186, 189, 519,
        168, 169, 545, 328, 55, 488, 173, 9, 474, 384, 491, 604, 117, 118, 506, 471, 154,
        509, 142, 505, 536, 331, 302, 518, 173, 474, 529, 419, 459, 612, 405, 148, 609, 297,
        130, 394, 494, 152, 607, 528, 423, 576, 320, 319, 321, 154, 65, 495, 16, 535, 542,
        349, 350, 533, 74, 75, 578, 109, 110, 133, 323, 480, 593, 455, 145, 568, 130, 116,
        394, 313, 366, 569, 66, 174, 495, 333, 334, 574, 292, 291, 319, 330, 302, 331, 459,
        314, 612, 435, 355, 598, 118, 119, 131, 356, 485, 614, 91, 92, 592, 538, 350, 548,
        386, 349, 533, 262, 449, 594, 250, 247, 585, 232, 452, 582, 200, 194, 531, 290, 508,
        573, 290, 167, 291, 197, 195, 572, 296, 130, 297, 341, 335, 607, 394, 117, 506, 340,
        338, 432, 480, 465, 593, 481, 362, 581, 194, 196, 531, 505, 317, 536, 219, 475, 567,
        195, 207, 572, 448, 322, 539, 260, 454, 596, 299, 298, 302, 294, 296, 564, 293, 560,
        571, 464, 236, 590, 502, 111, 522, 503, 365, 610, 487, 139, 534, 140, 477, 540, 107,
        108, 541, 296, 297, 298, 362, 360, 581, 326, 351, 589, 526, 353, 603, 298, 297, 301,
        608, 591, 615, 348, 321, 548, 132, 113, 337, 548, 321, 600, 171, 545, 613, 344, 345,
        566, 174, 67, 496, 225, 182, 602, 479, 517, 557, 353, 352, 603, 291, 167, 293, 120,
        121, 573, 83, 546, 547, 179, 181, 324, 132, 337, 338, 501, 326, 589, 383, 307, 587,
        325, 479, 557, 296, 299, 564, 335, 494, 607, 169, 177, 243, 476, 140, 549, 518, 302,
        556, 316, 515, 606, 322, 348, 605, 314, 499, 543, 489, 163, 544, 414, 483, 567, 114,
        294, 295, 330, 331, 588, 127, 128, 562, 184, 519, 602, 141, 501, 589, 338, 337, 339,
        495, 513, 550, 163, 476, 544, 178, 391, 583, 491, 162, 604, 102, 103, 171, 140, 540,
        549, 175, 548, 600, 509, 154, 550, 125, 126, 170, 485, 330, 588, 469, 138, 591, 153,
        478, 580, 490, 491, 554, 133, 110, 502, 343, 540, 608, 488, 489, 555, 136, 169, 558,
        540, 477, 608, 544, 476, 549, 154, 495, 550, 295, 294, 564, 533, 350, 577, 321, 319,
        600, 513, 375, 550, 415, 527, 532, 343, 608, 615, 106, 107, 136, 169, 243, 545, 182,
        184, 602, 105, 106, 558, 169, 168, 558, 100, 101, 172, 534, 384, 604, 487, 534, 604,
        327, 490, 554, 180, 583, 616, 328, 488, 555, 121, 122, 134, 513, 174, 575, 477, 469,
        608, 109, 133, 512, 519, 484, 602, 104, 105, 168, 118, 131, 506, 469, 591, 608, 515,
        165, 606, 138, 470, 611, 350, 538, 577, 123, 124, 166, 591, 138, 611, 540, 342, 549,
        302, 298, 556, 546, 243, 547, 298, 301, 556, 162, 487, 604, 290, 507, 508, 329, 503,
        610, 150, 533, 577, 545, 546, 613, 301, 493, 565, 108, 512, 541, 545, 243, 546, 319,
        291, 571, 200, 531, 597, 287, 537, 598, 179, 324, 586, 306, 566, 601, 377, 591, 611,
        174, 496, 575, 177, 179, 586, 566, 345, 601, 539, 322, 605, 314, 543, 612, 556, 301,
        565, 291, 293, 571, 84, 560, 561, 319, 571, 600, 547, 243, 586, 243, 177, 586, 583,
        336, 616, 136, 107, 541, 121, 134, 573, 591, 377, 615, 324, 547, 586, 106, 136, 558,
        168, 105, 558, 122, 123, 166, 124, 125, 170, 8, 0, 474, 0, 69, 474, 1, 54, 328, 98,
        1, 328, 2, 23, 496, 68, 2, 496, 3, 22, 327, 53, 3, 327, 83, 4, 546, 4, 99, 172, 7,
        84, 561, 129, 7, 561, 85, 175, 560, 99, 100, 172, 101, 102, 172, 103, 104, 171, 126,
        127, 562, 170, 126, 562, 128, 129, 562, 129, 561, 562, 166, 170, 584, 546, 172, 613
    };

    auto offsets = std::vector<size_t>( connectivity.size( ) / 3 + 1 );

    offsets[0] = 0;

    for( size_t i = 1; i < offsets.size( ); ++i )
    {
        offsets[i] = offsets[i - 1] + 3;
    }

    return std::tuple { std::move( vertices ), std::move( connectivity ), std::move( offsets ) };
}
